
package com.tmerclub.cloud.live.dto;

import io.swagger.v3.oas.annotations.media.Schema;

/**
 * 直播商品DTO
 * @author TRACK
 */
public class LiveRoomProdDTO{
    private static final long serialVersionUID = 1L;

    @Schema(description = "直播间商品信息")
    private Long roomProdId;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "房间id")
    private Long roomId;

    @Schema(description = "讲解状态 0未讲解 1讲解中")
    private Integer explainStatus;

    public Long getRoomProdId() {
        return roomProdId;
    }

    public void setRoomProdId(Long roomProdId) {
        this.roomProdId = roomProdId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Long getRoomId() {
        return roomId;
    }

    public void setRoomId(Long roomId) {
        this.roomId = roomId;
    }

    public Integer getExplainStatus() {
        return explainStatus;
    }

    public void setExplainStatus(Integer explainStatus) {
        this.explainStatus = explainStatus;
    }

    @Override
    public String toString() {
        return "LiveRoomProdDTO{" +
                "roomProdId=" + roomProdId +
                ",prodId=" + spuId +
                ",roomId=" + roomId +
                ",explainStatus=" + explainStatus +
                '}';
    }
}
